#ifndef CRTDEF_INCLUDED
#define CRTDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    crtdef.h                                                       */
/*                                                                           */
/* Purpose:   CRT #defines                                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:14   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* LDAP attribute names.                                                     */
/*****************************************************************************/
#define CRT_LDAP_ATTR_USERCERT    "userCertificate"
#define CRT_LDAP_ATTR_CACERT      "cACertificate"
#define CRT_LDAP_ATTR_CRL         "certificateRevocationList"

/*****************************************************************************/
/* LDAP search filters.                                                      */
/*****************************************************************************/
#define CRT_LDAP_FILTER_SAUSER    "(objectclass=strongAuthenticationUser)"
#define CRT_LDAP_FILTER_CA        "(objectclass=certificationAuthority)"

/*****************************************************************************/
/* Operation types.                                                          */
/*****************************************************************************/
#define CRT_OP_ERROR              0
#define CRT_OP_CREATE_NEW         1
#define CRT_OP_REVOKE_CERT        2
#define CRT_OP_UPDATE             3
#define CRT_OP_DISPLAY            4

/*****************************************************************************/
/* Object types for LDAP lookup.                                             */
/*****************************************************************************/
#define CRT_LOOKUP_USERCERT       1
#define CRT_LOOKUP_CACERT         2
#define CRT_LOOKUP_CRL            3

#endif

