#ifndef CRTFUNC_INCLUDED
#define CRTFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    crtfunc.h                                                      */
/*                                                                           */
/* Purpose:   CRT internal function prototypes                               */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:14   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* crtmain.c                                                                 */
/*****************************************************************************/
int crt_ldap_lookup(LDAP *,
                    char *,
                    char *,
                    X509_OBJECT *,
                    int);

X509_CRL *crt_create_new_crl(LDAP *,
                             char *,
                             char *);

int crt_revoke_cert(LDAP *,
                    char *,
                    char *,
                    X509_CRL *);

int crt_replace_crl(LDAP *,
                    char *,
                    char *,
                    X509_CRL *);

int crt_delete_user_cert(LDAP *,
                         char *,
                         char *);

void crt_print_usage(char *);

int crt_yes_no(char);

#endif

