
# make.com
#
# Sample application makefile
#
# (C) COPYRIGHT DATA CONNECTION LIMITED 2000
#
# $Revision::   1.8                $ $Modtime::   Jul 28 2000 13:57:48   $
#

# Include the common settings
include $(OSPROOT)/make.common

# Set up extra includes for this component
CFLAGS += -I$(OSPROOT)/trace \
          -I$(OSPROOT)/stack \
          -I$(EXTROOT)/$(OPENSSL)/include \
          -I$(EXTROOT)/$(OPENLDAP)/include \
          -I$(EXTROOT)/$(EXPAT)/xmlparse

# Set the executable name
BINNAME=$(BINDIR)/ospd

# List the libraries to link to
LINKLIBS=$(OSPROOT)/stack/$(BINDIR)/libosp.a \
         $(OSPROOT)/trace/$(BINDIR)/libtrc.a \
         $(EXTROOT)/$(OPENSSL)/libssl.a \
         $(EXTROOT)/$(OPENSSL)/libcrypto.a \
         $(EXTROOT)/$(OPENLDAP)/libraries/libldap.a \
         $(EXTROOT)/$(OPENLDAP)/libraries/liblber.a \
         $(EXTROOT)/$(EXPAT)/xmlparse/xmlparse.o \
         $(EXTROOT)/$(EXPAT)/xmlparse/hashtable.o \
         $(EXTROOT)/$(EXPAT)/xmltok/xmltok.o \
         $(EXTROOT)/$(EXPAT)/xmltok/xmlrole.o \
         -lpthread \
         -lsocket \
         -lnsl

# List all the objects
OBJS=$(OBJDIR)/ospd.o \
     $(OBJDIR)/scmmain.o \
     $(OBJDIR)/scmlist.o \
     $(OBJDIR)/scmconst.o \
     $(OBJDIR)/scaauthr.o \
     $(OBJDIR)/scaroute.o \
     $(OBJDIR)/scarteut.o \
     $(OBJDIR)/scaarcb.o \
     $(OBJDIR)/scasacb.o \
     $(OBJDIR)/scaprcb.o \
     $(OBJDIR)/scacicb.o \
     $(OBJDIR)/scarrcb.o \
     $(OBJDIR)/scaaicb.o \
     $(OBJDIR)/scaglbl.o \
     $(OBJDIR)/scamain.o \
     $(OBJDIR)/scautil.o \
     $(OBJDIR)/scatkut.o \
     $(OBJDIR)/suaglbl.o \
     $(OBJDIR)/suamain.o \


# Now we can include the rules that specify how to actually build targets
include $(OSPROOT)/make.rules

