#ifndef SCAFUNC_INCLUDED
#define SCAFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    scafunc.h                                                      */
/*                                                                           */
/* Purpose:   Sample Call Authorization and Routing Component                */
/*            Internal function prototypes                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.22               $ $Modtime::   Jan 11 2001 15:56:18   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* scaarcb.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sca_auth_rq_callback(OSP_CORRELATOR,
                                   char *,
                                   OSP_CALL_ID *,
                                   OSP_ADDRESS *,
                                   OSP_ADDRESS *,
                                   OSP_ADDRESS *,
                                   OSP_ADDRESS *,
                                   OSP_SERVICE_INFO *,
                                   char *,
                                   OSP_TOKEN *,
                                   OSP_AUTH_INFO *,
                                   OSP_CLIENT_ID *);

/*****************************************************************************/
/* scaroute.c                                                                */
/*****************************************************************************/
OSP_RC sca_do_routing(OSP_CORRELATOR,
                      int,
                      OSP_CALL_ID *,
                      OSP_ADDRESS *,
                      OSP_ADDRESS *,
                      OSP_ADDRESS *,
                      OSP_SERVICE_INFO *,
                      char *);

SCA_ROUTE_DATA *sca_store_routing_params(OSP_CORRELATOR,
                                         int,
                                         OSP_CALL_ID *,
                                         OSP_ADDRESS *,
                                         OSP_ADDRESS *,
                                         OSP_ADDRESS *,
                                         char *);

void OSPAPI sca_search_callback(void *, LDAP *, LDAPMessage **);

int sca_build_int_dest_list(PSCA_ROUTE_DATA,
                            LIST_ENTRY *,
                            LDAP *,
                            LDAPMessage **);

void sca_add_to_sub_list(PSCA_ROUTE_DATA,
                         SCA_ROUTE_OPTION *,
                         LIST_ENTRY *,
                         LIST_ENTRY *);

int sca_build_final_list(PSCA_ROUTE_DATA,
                         char *,
                         LIST_ENTRY *,
                         OSP_DESTINATION **);

OSP_DESTINATION *sca_make_osp_destination(PSCA_ROUTE_DATA,
                                          char *,
                                          SCA_ROUTE_OPTION *,
                                          OSP_CALL_ID *);

SCA_ROUTE_OPTION *sca_make_sca_destination(PSCA_ROUTE_DATA,
                                           LDAP *,
                                           LDAPMessage *);

void sca_free_route_data(SCA_ROUTE_DATA *);

char *sca_route_filter(char *, OSP_SERVICE_INFO *);

/*****************************************************************************/
/* scaaicb.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sca_auth_ind_callback(OSP_CORRELATOR,
                                    char *,
                                    char *,
                                    OSP_CALL_ID *,
                                    OSP_ADDRESS *,
                                    OSP_ADDRESS *,
                                    OSP_ADDRESS *,
                                    OSP_ADDRESS *,
                                    OSP_SERVICE_INFO *,
                                    OSP_TOKEN *,
                                    OSP_CLIENT_ID *);

/*****************************************************************************/
/* scarrcb.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sca_reauth_rq_callback(OSP_CORRELATOR,
                                     char *,
                                     char *,
                                     OSP_CALL_ID *,
                                     OSP_ADDRESS *,
                                     OSP_ADDRESS *,
                                     OSP_ADDRESS *,
                                     OSP_ADDRESS *,
                                     char *,
                                     OSP_USAGE_DETAIL *,
                                     OSP_TOKEN *,
                                     OSP_CLIENT_ID *);

/*****************************************************************************/
/* scautil.c                                                                 */
/*****************************************************************************/
unsigned int sca_dest_in_alt_list(char *, OSP_ADDRESS *);

void sca_add_in_sequence(LIST_ENTRY *, SCA_ROUTE_OPTION *);

void sca_get_trans_id(char *);

int sca_price_to_int(char *);

char *sca_int_to_price(int);

int sca_check_price_validity(char *, char **);

int sca_check_validity(char *, char *);

OSP_ADDRESS *sca_copy_address(OSP_ADDRESS *);

OSP_CALL_ID *sca_copy_call_id(OSP_CALL_ID *);

void sca_free_dest(OSP_DESTINATION *);

void sca_free_address(OSP_ADDRESS *);

void sca_free_call_id(OSP_CALL_ID *);

OSP_ADDRESS *sca_find_subs_info(OSP_ADDRESS *);

int sca_match_len(char *, char *);

OSP_RC sca_add_validity(char *, int, time_t, OSP_DESTINATION *);

int sca_copy_dest_alt_list(SLIST_ENTRY *,
                           SLIST_ENTRY **,
                           PCOPY_ENTRY_FN,
                           PFREE_ENTRY_FN);

/*****************************************************************************/
/* scatkut.c                                                                 */
/*****************************************************************************/
OSP_TOKEN *sca_create_token(SCA_ROUTE_DATA *,
                           char *,
                           OSP_CALL_ID *,
                           OSP_DESTINATION *);

SCA_TOKEN_INFO *sca_crack_token(OSP_STATUS *, OSP_TOKEN *);

void sca_start_elem_handler(void *, const char *, const char **);

void sca_end_elem_handler(void *, const char *);

void sca_character_data_handler(void *, const char *, int);

void sca_free_token_info(SCA_TOKEN_INFO *);

SCA_TOKEN_INFO *sca_confirm_authorization(OSP_STATUS *,
                                          OSP_TOKEN *,
                                          OSP_ADDRESS *,
                                          OSP_ADDRESS *,
                                          OSP_CALL_ID *);

/*****************************************************************************/
/* scaprcb.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sca_pricing_ind_callback(OSP_CORRELATOR,
                                       char *,
                                       OSP_ADDRESS *,
                                       OSP_ADDRESS *,
                                       char *,
                                       char *,
                                       char *,
                                       char *,
                                       OSP_SERVICE_INFO *,
                                       char *,
                                       char *,
                                       OSP_CLIENT_ID *);

OSP_RC sca_start_pricing_update(OSP_CORRELATOR,
                                OSP_ADDRESS *,
                                OSP_ADDRESS *,
                                char *,
                                char *,
                                char *);

void OSPAPI sca_price_search_callback(void *,
                                      LDAP *,
                                      LDAPMessage **);

void sca_free_price(SCA_PRICE_DATA *);

char *sca_find_price(char *, LDAP *, LDAPMessage *);

/*****************************************************************************/
/* scacicb.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sca_caps_ind_callback(OSP_CORRELATOR,
                                    OSP_DEVICE_INFO *,
                                    char *,
                                    OSP_CAPS *,
                                    OSP_RESOURCE *,
                                    OSP_CLIENT_ID *);

int sca_maybe_update_entry(OSP_RESOURCE *, int *, OSP_PROTOCOL_TYPE **, int*);

OSP_RC sca_update_entry(int,
                        OSP_PROTOCOL_TYPE *,
                        int,
                        OSP_CORRELATOR,
                        OSP_DEVICE_INFO *,
                        char *,
                        OSP_CAPS *);

void OSPAPI sca_caps_search_callback(void *,
                                     LDAP *,
                                     LDAPMessage **);

OSP_RC sca_send_caps_confirm(OSP_CORRELATOR corr,
                             char *,
                             OSP_CAPS *);

void sca_free_caps(SCA_CAPS_DATA *);

int sca_service_available(char *);

void sca_free_prot_list(OSP_PROTOCOL_TYPE *);

/*****************************************************************************/
/* scasacb.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sca_subs_auth_callback(OSP_CORRELATOR corr,
                                     char *,
                                     OSP_ADDRESS *,
                                     OSP_ADDRESS *,
                                     OSP_ADDRESS *,
                                     OSP_SERVICE_INFO *,
                                     OSP_AUTH_INFO *,
                                     OSP_CLIENT_ID *);

OSP_RC sca_do_authentication(OSP_CORRELATOR,
                             int,
                             OSP_CALL_ID *,
                             OSP_ADDRESS *,
                             OSP_ADDRESS *,
                             OSP_ADDRESS *,
                             OSP_ADDRESS *,
                             char *);

void OSPAPI sca_authen_callback(void *,
                                LDAP *,
                                LDAPMessage **);

/*****************************************************************************/
/* scaauthr.c                                                                */
/*****************************************************************************/
OSP_RC sca_do_authorization(OSP_ADDRESS *,
                            OSP_ADDRESS *,
                            OSP_AUTH_INFO *);
#endif
