#ifndef SCAGLBL_INCLUDED
#define SCAGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    scaglbl.h                                                      */
/*                                                                           */
/* Purpose:   Sample Call Authorization and Routing Component                */
/*            Global variable declarations                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.15               $ $Modtime::   Jan 11 2001 15:56:18   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* LAM Connection handle                                                     */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
LAM_HANDLE sca_lam_handle;
#else
extern LAM_HANDLE sca_lam_handle;
#endif

/*****************************************************************************/
/* Initialized flag                                                          */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
int sca_initialized = FALSE;
#else
extern int sca_initialized;
#endif

/*****************************************************************************/
/* Count used to generate transaction ids, and mutex used to protect it      */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
int sca_trans_count = 1;
pthread_mutex_t sca_trans_count_mutex;
#else
extern int sca_trans_count;
extern pthread_mutex_t sca_trans_count_mutex;
#endif

/*****************************************************************************/
/* DN used to sign tokens                                                    */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
char *sca_signing_dn = NULL;
#else
extern char *sca_signing_dn;
#endif

/*****************************************************************************/
/* List of certificates used in token signing (required for Caps Confirm)    */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
OSP_CERTIFICATE *sca_token_signing_cert_list = NULL;
#else
extern OSP_CERTIFICATE *sca_token_signing_cert_list;
#endif

/*****************************************************************************/
/* Token signing flag                                                        */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
int sca_sign_tokens = TRUE;
#else
extern int sca_sign_tokens;
#endif

/*****************************************************************************/
/* Spread of validity of authorization                                       */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
int sca_auth_validity = 0;
#else
extern int sca_auth_validity;
#endif

/*****************************************************************************/
/* Duration of authorization                                                 */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
char *sca_auth_duration = NULL;
#else
extern char *sca_auth_duration;
#endif

/*****************************************************************************/
/* This server's service URL                                                 */
/*****************************************************************************/
#ifdef SCA_DEFINE_VARS
char *sca_service_url = NULL;
#else
extern char *sca_service_url;
#endif

#endif
