#ifndef SCAINCL_INCLUDED
#define SCAINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    scaincl.h                                                      */
/*                                                                           */
/* Purpose:   Sample Call Authorization and Routing Component                */
/*            Internal include file                                          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.10               $ $Modtime::   Jan 11 2001 15:56:18   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes.                                                          */
/*****************************************************************************/
#include <stddef.h>
#include <limits.h>
#include <string.h>
#include <limits.h>

/*****************************************************************************/
/* External includes.                                                        */
/*****************************************************************************/
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <openssl/conf.h>
#include <lber.h>
#include <ldap.h>
#include <xmlparse.h>

/*****************************************************************************/
/* Stack includes.                                                           */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <rmextrn.h>
#include <lamextrn.h>
#include <ccmextrn.h>

#include <comconst.h>
#include <aibextrn.h>

/*****************************************************************************/
/* Sample App Common includes                                                */
/*****************************************************************************/
#include <scmextrn.h>
#include <scmconst.h>

/*****************************************************************************/
/* SCA includes.                                                             */
/*****************************************************************************/
#include <scaextrn.h>
#include <scadef.h>
#include <scastrc.h>
#include <scafunc.h>
#include <scaconst.h>
#include <scaglbl.h>

#endif

