#ifndef SCMCONST_INCLUDED
#define SCMCONST_INCLUDED

/**INC+***********************************************************************/
/* Header:    scmconst.h                                                     */
/*                                                                           */
/* Purpose:   Sample Application Common Code                                 */
/*            Global constants                                               */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:20   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Text strings                                                              */
/*****************************************************************************/

#ifdef SCM_DEFINE_VARS
/*****************************************************************************/
/* Element and attribute names                                               */
/*****************************************************************************/
const char scm_token_info[] = "TokenInfo";
const char scm_random[] = "random";
const char scm_source_info[] = "SourceInfo";
const char scm_type[] = "type";
const char scm_dest_info[] = "DestinationInfo";
const char scm_call_id[] = "CallId";
const char scm_encoding[] = "encoding";
const char scm_valid_after[] = "ValidAfter";
const char scm_valid_until[] = "ValidUntil";
const char scm_trans_id[] = "TransactionId";
const char scm_usage_det[] = "UsageDetail";

/*****************************************************************************/
/* Status descriptions                                                       */
/*****************************************************************************/
const char scm_success[] = "Operation successful";
const char scm_bad_request[] = "Badly formed request";
const char scm_subs_resource_failure[] =
                               "Transient server resource allocation failure.";
const char scm_subs_server_failure[] = "Transient server failure.";

#else

extern const char scm_token_info[];
extern const char scm_random[];
extern const char scm_source_info[];
extern const char scm_type[];
extern const char scm_dest_info[];
extern const char scm_call_id[];
extern const char scm_encoding[];
extern const char scm_valid_after[];
extern const char scm_valid_until[];
extern const char scm_trans_id[];
extern const char scm_usage_det[];

extern const char scm_success[];
extern const char scm_bad_request[];
extern const char scm_subs_resource_failure[];
extern const char scm_subs_server_failure[];
#endif

#endif
