#ifndef SCMEXTRN_INCLUDED
#define SCMEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    scmextrn.h                                                     */
/*                                                                           */
/* Purpose:   Sample Components Common Code Routing Component                */
/*            External function prototypes                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:20   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Name of configuration file section for sample application options.        */
/*****************************************************************************/
#define SCM_CONFIG_SECTION    "sample_application"

/*****************************************************************************/
/* Name of configuration entry for whether to S/MIME sign responses.         */
/*****************************************************************************/
#define SCM_CONFIG_SIGN_RESPONSES "sign_responses"

/*****************************************************************************/
/* The value for this entry that means that we should sign responses.        */
/*****************************************************************************/
#define SCM_CONFIG_DO_SIGN_RESPONSES "yes"

/*****************************************************************************/
/* Boolean variable indicating whether to S/MIME sign responses.             */
/*****************************************************************************/
#ifdef SCM_DEFINE_VARS
int scm_sign_responses = 0;
#else
extern int scm_sign_responses;
#endif

/*****************************************************************************/
/* scmmain.c                                                                 */
/*****************************************************************************/
OSP_RC scm_init(LHASH *);
void scm_term();

/*****************************************************************************/
/* scmlist.c                                                                 */
/*****************************************************************************/
typedef SLIST_ENTRY * (* PCOPY_ENTRY_FN)(SLIST_ENTRY *);

typedef void (* PFREE_ENTRY_FN)(SLIST_ENTRY *);

int scm_copy_list(SLIST_ENTRY *, SLIST_ENTRY **, PCOPY_ENTRY_FN,
                                                              PFREE_ENTRY_FN);

void scm_free_list(SLIST_ENTRY *, PFREE_ENTRY_FN);

#endif

