
#ifndef SUACONST_INCLUDED
#define SUACONST_INCLUDED

/**INC+***********************************************************************/
/* Header:    suaconst.h                                                     */
/*                                                                           */
/* Purpose:   Sample USE application - global constants                      */
/*                                                                           */
/* Dependencies: The constants declared here depend upon structure types     */
/*               that are defined in suastrc.h                               */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:22   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Permitted values for the encoding field in an OSP_CALL_ID structure.      */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
const char *sua_encoding_cdata = "cdata";
const char *sua_encoding_base64 = "base64";
#else
extern const char *sua_encoding_cdata;
extern const char *sua_encoding_base64;
#endif

/*****************************************************************************/
/* Table mapping OSP role names to the corresponding abbreviations that the  */
/* sample application uses in the usage record file.                         */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
SUA_ABBREV sua_role_map[4] = {
  { "source",            "SRC" },
  { "destination",       "DST" },
  { "other",             "OTH" },
  { NULL,                "---" }
};
#else
extern SUA_ABBREV sua_role_map[];
#endif

/*****************************************************************************/
/* Table mapping OSP address type names to the corresponding abbreviations   */
/* that the sample application uses in the usage record file.                */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
SUA_ABBREV sua_address_type_map[15] = {
  { "e164",              "E164" },
  { "h323",              "H323" },
  { "url",               "URL " },
  { "email",             "MAIL" },
  { "transport",         "TSPT" },
  { "international",     "INTL" },
  { "national",          "NATL" },
  { "network",           "NTWK" },
  { "subscriber",        "SUBS" },
  { "abbreviated",       "ABBR" },
  { "e164prefix",        "E16P" },
  { "iso7818",           "7818" },
  { "pin",               "PIN " },
  { "epin",              "EPIN" },
  { NULL,                "----" }
};
#else
extern SUA_ABBREV sua_address_type_map[];
#endif

#endif
