
#ifndef SUADEF_INCLUDED
#define SUADEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    suadef.h                                                       */
/*                                                                           */
/* Purpose:   Sample USE application - macro definitions                     */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:22   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* The default maximum number of usage records that the sample application   */
/* to write to the record file.  This can be overridden by an entry in the   */
/* configuration file.  When the maximum number of records is exceeded, the  */
/* sample application discards the existing records and begins the record    */
/* file again from zero size.                                                */
/*****************************************************************************/
#define SUA_DEFAULT_MAX_RECORDS     1000

/*****************************************************************************/
/* Name of configuration entry for usage record file name.                   */
/*****************************************************************************/
#define SUA_CONFIG_RECORD_FILE      "usage_record_file"

/*****************************************************************************/
/* Name of configuration entry for the maximum number of usage records to    */
/* write to the usage record file.                                           */
/*****************************************************************************/
#define SUA_CONFIG_MAX_RECORDS      "max_usage_records"

#endif

