
#ifndef SUAGLBL_INCLUDED
#define SUAGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    suaglbl.h                                                      */
/*                                                                           */
/* Purpose:   Sample USE application - global variable declarations          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.5                $ $Modtime::   Jan 11 2001 15:56:22   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Flag indicating whether or not the USE part of the sample application has */
/* been initialized.                                                         */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
int sua_initialized = FALSE;
#else
extern int sua_initialized;
#endif

/*****************************************************************************/
/* The file name of the usage record file.                                   */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
char *sua_file_name = NULL;
#else
extern char *sua_file_name;
#endif

/*****************************************************************************/
/* The maximum number of records we can write to the usage record file.      */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
int sua_max_records = 0;
#else
extern int sua_max_records;
#endif

/*****************************************************************************/
/* Mutex to serialize access to the usage record file.                       */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
pthread_mutex_t sua_file_mutex;
#else
extern pthread_mutex_t sua_file_mutex;
#endif

/*****************************************************************************/
/* Handle for open usage record file.                                        */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
FILE *sua_file = NULL;
#else
extern FILE *sua_file;
#endif

/*****************************************************************************/
/* Number of usage records written since record file was last opened.        */
/*****************************************************************************/
#ifdef SUA_DEFINE_VARS
int sua_records_written = 0;
#else
extern int sua_records_written;
#endif

#endif
