
#ifndef SUASTRC_INCLUDED
#define SUASTRC_INCLUDED

/**INC+***********************************************************************/
/* Header:    suastrc.h                                                      */
/*                                                                           */
/* Purpose:   Sample USE application - structure type definitions            */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.5                $ $Modtime::   Jan 11 2001 15:56:24   $  */
/*                                                                           */
/**INC-***********************************************************************/

/**STRUCT+********************************************************************/
/* Structure: SUA_ABBREV                                                     */
/*                                                                           */
/* Description: Holds a single abbreviation mapping entry                    */
/*              Allocated: statically in global arrays                       */
/*              Freed:     not applicable                                    */
/*                                                                           */
/*****************************************************************************/

typedef struct sua_abbrev
{
  /***************************************************************************/
  /* Full version of word to be abbreviated.                                 */
  /***************************************************************************/
  char *full;

  /***************************************************************************/
  /* Abbreviation for this word.                                             */
  /***************************************************************************/
  char *abbrev;

} SUA_ABBREV;

/**STRUCT-********************************************************************/

#endif
