#ifndef AIBGLBL_INCLUDED
#define AIBGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    aibglbl.h                                                      */
/*                                                                           */
/* Purpose:   Common AIB - global variables                                  */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.2                $ $Modtime::   Jan 11 2001 15:56:24   $  */
/*                                                                           */
/**INC-***********************************************************************/

#ifdef OSP_DATA_COVERAGE
/*****************************************************************************/
/* Initialized flag.                                                         */
/*****************************************************************************/
#ifdef AIB_DEFINE_VARS
int aib_coverage_initialized = 0;
#else
extern int aib_coverage_initialized;
#endif

/*****************************************************************************/
/* Data coverage error indicator.                                            */
/*****************************************************************************/
#ifdef AIB_DEFINE_VARS
OSP_RC aib_coverage_error = OSP_SUCCESS;
#else
extern OSP_RC aib_coverage_error;
#endif

/*****************************************************************************/
/* List of structures currently registered for data coverage.                */
/*****************************************************************************/
#ifdef AIB_DEFINE_VARS
SLIST_ROOT aib_registered_structures;
#else
extern SLIST_ROOT aib_registered_structures;
#endif

/*****************************************************************************/
/* Mutex used to protect access to this list.                                */
/*****************************************************************************/
#ifdef AIB_DEFINE_VARS
pthread_mutex_t aib_coverage_mutex;
#else
extern pthread_mutex_t aib_coverage_mutex;
#endif
#endif

#endif
