#ifndef CARFUNC_INCLUDED
#define CARFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    carfunc.h                                                      */
/*                                                                           */
/* Purpose:   Call Authorization and Routing (CAR) Application Interface     */
/*            Layer (AIL) internal function prototypes                       */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.10               $ $Modtime::   Jan 11 2001 15:56:28   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* carauthr.c                                                                */
/*****************************************************************************/
void car_auth_rq_end_elem_handler(void *, const XML_Char *);

void car_free_ar_mem(TRANS_INFO *);

/*****************************************************************************/
/* carauthi.c                                                                */
/*****************************************************************************/
void car_auth_ind_end_elem_handler(void *, const XML_Char *);

int car_build_auth_confirm(TRANS_INFO *,
                           int,
                           char *,
                           OSP_STATUS *,
                           char *,
                           char *);

void car_free_ai_mem(TRANS_INFO *);

/*****************************************************************************/
/* carrearq.c                                                                */
/*****************************************************************************/
void car_reauth_rq_end_elem_handler(void *, const XML_Char *);

void car_free_rr_mem(TRANS_INFO *);

/*****************************************************************************/
/* carprici.c                                                                */
/*****************************************************************************/
void car_pricing_ind_end_elem_handler(void *, const XML_Char *);

int car_build_price_confirm(TRANS_INFO *,
                            char *,
                            OSP_STATUS *);

void car_free_pi_mem(TRANS_INFO *);

/*****************************************************************************/
/* carcapsi.c                                                                */
/*****************************************************************************/
void car_caps_ind_end_elem_handler(void *, const XML_Char *);

int car_build_caps_confirm(TRANS_INFO *,
                           char *,
                           OSP_STATUS *,
                           char *,
                           OSP_SERVICE *,
                           OSP_CERTIFICATE *,
                           char *);

void car_free_ci_mem(TRANS_INFO *);

void car_convert_resources(CAR_PARSED_CI *);

/*****************************************************************************/
/* carsarq.c                                                                 */
/*****************************************************************************/
void car_sar_end_elem_handler(void *, const XML_Char *);

int car_build_sa_response(TRANS_INFO *,
                          char *,
                          OSP_STATUS *,
                          OSP_TOKEN *,
                          OSP_CREDIT_AMOUNT *,
                          OSP_CREDIT_TIME *);

void car_free_sar_mem(TRANS_INFO *);

/*****************************************************************************/
/* carutil.c                                                                 */
/*****************************************************************************/
void car_build_error(TRANS_INFO *, int);

int car_build_auth_response(TRANS_INFO *,
                            int,
                            char *,
                            OSP_STATUS *,
                            char *,
                            OSP_TOKEN *,
                            OSP_DESTINATION *);

#endif
