#ifndef CARGLBL_INCLUDED
#define CARGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    carglbl.h                                                      */
/*                                                                           */
/* Purpose:   Call Authorization and Routing (CAR) Application Interface     */
/*            Layer (AIL) global variables                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.8                $ $Modtime::   Jan 11 2001 15:56:28   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Initialized flag                                                          */
/*****************************************************************************/
#ifdef CAR_DEFINE_VARS
int car_initialized = FALSE;
#else
extern int car_initialized;
#endif

/*****************************************************************************/
/* Mutex used to protect tests/changes to callbacks                          */
/*****************************************************************************/
#ifdef CAR_DEFINE_VARS
OSP_RECURSIVE_MUTEX car_cb_mutex;
#else
extern OSP_RECURSIVE_MUTEX car_cb_mutex;
#endif

/*****************************************************************************/
/* Pointers to the application callbacks                                     */
/*****************************************************************************/
#ifdef CAR_DEFINE_VARS
POSP_AR_AUTH_RQ_CALLBACK car_auth_rq_cb = NULL;
#else
extern POSP_AR_AUTH_RQ_CALLBACK car_auth_rq_cb;
#endif

#ifdef CAR_DEFINE_VARS
POSP_AR_AUTH_IND_CALLBACK car_auth_ind_cb = NULL;
#else
extern POSP_AR_AUTH_IND_CALLBACK car_auth_ind_cb;
#endif

#ifdef CAR_DEFINE_VARS
POSP_AR_REAUTH_RQ_CALLBACK car_reauth_rq_cb = NULL;
#else
extern POSP_AR_REAUTH_RQ_CALLBACK car_reauth_rq_cb;
#endif

#ifdef CAR_DEFINE_VARS
POSP_AR_PRICING_IND_CALLBACK car_pricing_ind_cb = NULL;
#else
extern POSP_AR_PRICING_IND_CALLBACK car_pricing_ind_cb;
#endif

#ifdef CAR_DEFINE_VARS
POSP_AR_CAPS_IND_CALLBACK car_caps_ind_cb = NULL;
#else
extern POSP_AR_CAPS_IND_CALLBACK car_caps_ind_cb;
#endif

#ifdef CAR_DEFINE_VARS
POSP_SA_CALLBACK car_subs_auth_rq_cb = NULL;
#else
extern POSP_SA_CALLBACK car_subs_auth_rq_cb;
#endif

#endif
