#ifndef CARINT_INCLUDED
#define CARINT_INCLUDED

/**INC+***********************************************************************/
/* Header:    carincl.h                                                      */
/*                                                                           */
/* Purpose:   Call Authorization and Routing (CAR) Application Interface     */
/*            Layer (AIL) includes                                           */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.12               $ $Modtime::   Jan 11 2001 15:56:28   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes                                                           */
/*****************************************************************************/
#include <stddef.h>
#include <string.h>
#include <pthread.h>
#include <stdlib.h>

/*****************************************************************************/
/* expat api                                                                 */
/*****************************************************************************/
#include <xmlparse.h>

/*****************************************************************************/
/* Other openosp components                                                  */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <smextrn.h>
#include <comconst.h>
#include <rmextrn.h>
#include <xmlextrn.h>

/*****************************************************************************/
/* AIB common code                                                           */
/*****************************************************************************/
#include <aibextrn.h>
#include <aibconst.h>
#include <aibstrc.h>

/*****************************************************************************/
/* CAR includes                                                              */
/*****************************************************************************/
#include <carextrn.h>
#include <carstrc.h>
#include <carconst.h>
#include <carfunc.h>
#include <carglbl.h>

#endif
