#ifndef CCMGLBL_INCLUDED
#define CCMGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    ccmglbl.h                                                      */
/*                                                                           */
/* Purpose:   CCM global data declarations                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:32   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* CCM global data.                                                          */
/*****************************************************************************/
#ifdef CCM_DEFINE_VARS
CCM_DATA ccm;
#else
extern CCM_DATA ccm;
#endif

/*****************************************************************************/
/* LDAP lookup method.                                                       */
/*****************************************************************************/
#ifdef CCM_DEFINE_VARS
X509_LOOKUP_METHOD ccm_lookup_ldap_method =
{
  "Load certs from an LDAP directory",
  NULL,                        /* new                                        */
  NULL,                        /* free                                       */
  NULL,                        /* init                                       */
  NULL,                        /* shutdown                                   */
  NULL,                        /* ctrl                                       */
  ccm_lookup_ldap_by_subject,  /* get_by_subject                             */
  NULL,                        /* get_by_issuer_serial                       */
  NULL,                        /* get_by_fingerprint                         */
  NULL,                        /* get_by_alias                               */
};
#else
extern X509_LOOKUP_METHOD ccm_lookup_ldap_method;
#endif

#endif

