#ifndef COMCONST_INCLUDED
#define COMCONST_INCLUDED

/**INC+***********************************************************************/
/* Header:    comconst.h                                                     */
/*                                                                           */
/* Purpose:   XML element names                                              */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.22               $ $Modtime::   Jan 11 2001 15:56:34   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* XML Element names                                                         */
/*****************************************************************************/
#ifdef COM_DEFINE_VARS
const char com_sp[] = " ";
const char com_lt[] = "<";
const char com_lt_sl[] = "</";
const char com_gt_nl[] = ">\n";
const char com_eq_qu[] = "=\"";
const char com_qu_gt_nl[] = "\">\n";
const char com_nl_lt_sl[] = "\n</";
const char com_sl_gt_nl[] = "/>\n";

const char com_message[] = "Message";
const char com_pricing_ind[] = "PricingIndication";
const char com_pricing_conf[] = "PricingConfirmation";
const char com_auth_req[] = "AuthorizationRequest";
const char com_auth_s_req[] = "AuthorisationRequest";
const char com_auth_rsp[] = "AuthorizationResponse";
const char com_auth_s_rsp[] = "AuthorisationResponse";
const char com_auth_ind[] = "AuthorizationIndication";
const char com_auth_s_ind[] = "AuthorisationIndication";
const char com_auth_cnf[] = "AuthorizationConfirmation";
const char com_auth_s_cnf[] = "AuthorisationConfirmation";
const char com_usage_ind[] = "UsageIndication";
const char com_usage_cnf[] = "UsageConfirmation";
const char com_reauth_req[] = "ReauthorizationRequest";
const char com_reauth_s_req[] = "ReauthorisationRequest";
const char com_reauth_rsp[] = "ReauthorizationResponse";
const char com_reauth_s_rsp[] = "ReauthorisationResponse";
const char com_subs_auth_req[] = "SubscriberAuthenticationRequest";
const char com_subs_auth_rsp[] = "SubscriberAuthenticationResponse";
const char com_caps_ind[] = "CapabilitiesIndication";
const char com_caps_cnf[] = "CapabilitiesConfirmation";

const char com_code[] = "Code";
const char com_authority_url[] = "AuthorityURL";
const char com_destination[] = "Destination";
const char com_dest_alt[] = "DestinationAlternate";
const char com_dest_info[] = "DestinationInfo";
const char com_dest_sig_addr[] = "DestinationSignalAddress";
const char com_max_dests[] = "MaximumDestinations";
const char com_status[] = "Status";
const char com_token[] = "Token";
const char com_trans_id[] = "TransactionId";
const char com_source_info[] = "SourceInfo";
const char com_source_alt[] = "SourceAlternate";
const char com_subs_authen[] = "SubscriberAuthenticationInfo";
const char com_service[] = "Service";
const char com_osp_service[] = "OSPService";
const char com_bandwidth[] = "Bandwidth";
const char com_valid_after[] = "ValidAfter";
const char com_valid_until[] = "ValidUntil";
const char com_timestamp[] = "Timestamp";
const char com_role[] = "Role";
const char com_usage[] = "UsageDetail";
const char com_cert_chain[] = "CertificateChain";
const char com_cert[] = "Certificate";
const char com_credit_amount[] = "cisco.com:CreditAmount";
const char com_credit_time[] = "cisco.com:CreditTime";

const char com_currency[] = "Currency";
const char com_amount[] = "Amount";
const char com_increment[] = "Increment";
const char com_unit[] = "Unit";
const char com_start_time[] = "StartTime";
const char com_end_time[] = "EndTime";
const char com_term_cause[] = "TerminationCause";
const char com_term_code[] = "TCCode";
const char com_term_desc[] = "Description";
const char com_dev_info[] = "DeviceInfo";
const char com_dev_id[] = "DeviceId";
const char com_osp_version[] = "OSPVersion";
const char com_osp_capability[] = "OSPCapability";
const char com_osp_sig_req[] = "OSPSignatureRequired";
const char com_osp_service_url[] = "OSPServiceURL";
const char com_resources[] = "Resources";
const char com_data_rate[] = "DataRate";
const char com_almost_out[] = "AlmostOutOfResources";
const char com_num_channels[] = "NumberOfChannels";

const char com_supp_protocol[] = "cisco.com:SupportedProtocol";
const char com_protocol_type[] = "cisco.com:ProtocolType";
const char com_service_type[] = "cisco.com:ServiceType";

const char com_statistics[] = "Statistics";
const char com_packets[] = "Packets";
const char com_fraction[] = "Fraction";
const char com_minimum[] = "Minimum";
const char com_mean[] = "Mean";
const char com_variance[] = "Variance";
const char com_samples[] = "Samples";
const char com_loss_sent[] = "LossSent";
const char com_loss_received[] = "LossReceived";
const char com_one_way_delay[] = "OneWayDelay";
const char com_round_trip_delay[] = "RoundTripDelay";

const char com_call_id[] = "CallId";
const char com_encoding[] = "encoding";
const char com_critical[] = "critical";
const char com_comp_id[] = "componentId";
const char com_message_id[] = "messageId";
const char com_random[] = "random";
const char com_type[] = "type";

const char com_cdata[] = "cdata";
const char com_cdata_start[] = "<![CDATA[";
const char com_cdata_end[] = "]]>";
const char com_base64[] = "base64";
const char com_true[] = "true";
const char com_false[] = "false";
#else
extern const char com_sp[];
extern const char com_lt[];
extern const char com_lt_sl[];
extern const char com_gt_nl[];
extern const char com_eq_qu[];
extern const char com_qu_gt_nl[];
extern const char com_nl_lt_sl[];
extern const char com_sl_gt_nl[];

extern const char com_message[];
extern const char com_pricing_ind[];
extern const char com_pricing_conf[];
extern const char com_auth_req[];
extern const char com_auth_s_req[];
extern const char com_auth_rsp[];
extern const char com_auth_s_rsp[];
extern const char com_auth_ind[];
extern const char com_auth_s_ind[];
extern const char com_auth_cnf[];
extern const char com_auth_s_cnf[];
extern const char com_usage_ind[];
extern const char com_usage_cnf[];
extern const char com_reauth_req[];
extern const char com_reauth_s_req[];
extern const char com_reauth_rsp[];
extern const char com_reauth_s_rsp[];
extern const char com_subs_auth_req[];
extern const char com_subs_auth_rsp[];
extern const char com_caps_ind[];
extern const char com_caps_cnf[];

extern const char com_code[];
extern const char com_authority_url[];
extern const char com_destination[];
extern const char com_dest_alt[];
extern const char com_dest_info[];
extern const char com_dest_sig_addr[];
extern const char com_max_dests[];
extern const char com_status[];
extern const char com_token[];
extern const char com_trans_id[];
extern const char com_source_info[];
extern const char com_source_alt[];
extern const char com_subs_authen[];
extern const char com_service[];
extern const char com_osp_service[];
extern const char com_bandwidth[];
extern const char com_valid_after[];
extern const char com_valid_until[];
extern const char com_timestamp[];
extern const char com_role[];
extern const char com_usage[];
extern const char com_cert_chain[];
extern const char com_cert[];
extern const char com_credit_amount[];
extern const char com_credit_time[];

extern const char com_currency[];
extern const char com_amount[];
extern const char com_increment[];
extern const char com_unit[];
extern const char com_start_time[];
extern const char com_end_time[];
extern const char com_term_cause[];
extern const char com_term_code[];
extern const char com_term_desc[];
extern const char com_dev_info[];
extern const char com_dev_id[];
extern const char com_osp_version[];
extern const char com_osp_capability[];
extern const char com_osp_sig_req[];
extern const char com_osp_service_url[];
extern const char com_resources[];
extern const char com_data_rate[];
extern const char com_almost_out[];
extern const char com_num_channels[];

extern const char com_supp_protocol[];
extern const char com_protocol_type[];
extern const char com_service_type[];

extern const char com_statistics[];
extern const char com_packets[];
extern const char com_fraction[];
extern const char com_minimum[];
extern const char com_mean[];
extern const char com_variance[];
extern const char com_samples[];
extern const char com_loss_sent[];
extern const char com_loss_received[];
extern const char com_one_way_delay[];
extern const char com_round_trip_delay[];

extern const char com_call_id[];
extern const char com_encoding[];
extern const char com_critical[];
extern const char com_comp_id[];
extern const char com_message_id[];
extern const char com_random[];
extern const char com_type[];

extern const char com_cdata[];
extern const char com_cdata_start[];
extern const char com_cdata_end[];
extern const char com_base64[];
extern const char com_true[];
extern const char com_false[];
#endif

/*****************************************************************************/
/* Status description strings.                                               */
/*****************************************************************************/
#ifdef COM_DEFINE_VARS
const char com_status_success[] = "Success";
const char com_status_transient_problem_in_server[] =
                                                 "Transient problem in server";
const char com_status_service_not_available[] = "Service not available";
const char com_status_parsing_unsuccessful[] = "Parsing unsuccessful";
#else
extern const char com_status_success[];
extern const char com_status_transient_problem_in_server[];
extern const char com_status_service_not_available[];
extern const char com_status_parsing_unsuccessful[];
#endif

/*****************************************************************************/
/* List of separators for use when parsing HTTP/MIME headers.  These are     */
/* defined in RFC2616 (HTTP/1.1); we re-use them for MIME.                   */
/*****************************************************************************/
#ifdef COM_DEFINE_VARS
const char com_separators[] = "()<>@,;:\\\"/[]?={} \t";
#else
extern const char com_separators[];
#endif

#endif

