#ifndef COMDEF_INCLUDED
#define COMDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    comdef.h                                                       */
/*                                                                           */
/* Purpose:   Common defines                                                 */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:34   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Name of environment variable that contains OSP config filename.           */
/*****************************************************************************/
#define OSP_CONFIG_FILE_ENV        "OSP_CONFIG_FILE"

/*****************************************************************************/
/* Initial number of entries in a header or parameter list; also the number  */
/* of entries by which to increment when the list is expanded.               */
/*****************************************************************************/
#define COM_LIST_INCREMENT         16

/*****************************************************************************/
/* Parsing macro to find the end of a token.                                 */
/*****************************************************************************/
#define COM_FIND_TOKEN_END(string, offset, string_len)                    \
while ((offset < string_len) &&                                           \
       (string[offset] > 31) &&                                           \
       (string[offset] < 127) &&                                          \
       (strchr(com_separators, (int)string[offset]) == NULL))             \
{                                                                         \
  offset++;                                                               \
}

/*****************************************************************************/
/* Parsing macro to find the end of a quoted string.  'offset' should be     */
/* pointing at the opening quote when this macros is called.  The while loop */
/* searches for the closing quote, ignoring any characters that are escaped. */
/*****************************************************************************/
#define COM_FIND_QUOTED_STRING_END(string, offset, string_len)            \
offset++;                                                                 \
while ((offset < string_len) &&                                           \
       ((string[offset] != '"') || (string[offset - 1] == '\\')))         \
{                                                                         \
  offset++;                                                               \
}

/*****************************************************************************/
/* Parsing macro to skip LWS (linear white space).                           */
/* Definition: LWS = [CRLF] 1*( SP | HT )                                    */
/*****************************************************************************/
#define COM_SKIP_LWS(string, offset, string_len)                          \
if (((offset + 1) < string_len) &&                                        \
    (string[offset] == '\r') &&                                           \
    (string[offset + 1] == '\n'))                                         \
{                                                                         \
  offset += 2;                                                            \
}                                                                         \
while ((offset < string_len) &&                                           \
       ((string[offset] == ' ') || (string[offset] == '\t')))             \
{                                                                         \
  offset++;                                                               \
}

#endif

