#ifndef LAMEXTRN_INCLUDED
#define LAMEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    lamextrn.h                                                     */
/*                                                                           */
/* Purpose:   LDAP Access Manager (LAM) API definitions.                     */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:36   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* LAM Handle returned by lam_open().                                        */
/*****************************************************************************/
typedef void *LAM_HANDLE;

/*****************************************************************************/
/* Name:      lam_result_callback                                            */
/*                                                                           */
/* Purpose:   Called by LAM when a search operation completes                */
/*                                                                           */
/* Returns:   nothing                                                        */
/*                                                                           */
/* Params:    IN     user_data    - user data supplied on request            */
/*            IN     ld           - LDAP handle required to parse results    */
/*            IN     result       - result of operation                      */
/*                                                                           */
/*****************************************************************************/

typedef void (*LAM_RESULT_CALLBACK)(void *user_data,
                                    LDAP *ld,
                                    LDAPMessage **result);

/*****************************************************************************/
/* lamctrl.c                                                                 */
/*****************************************************************************/
OSP_RC lam_init(void);

OSP_RC lam_term(void);

OSP_RC lam_open(char *, int, char *, char *, LAM_HANDLE *);

OSP_RC lam_close(LAM_HANDLE *);

int lam_is_lam_thread(void);

/*****************************************************************************/
/* lammain.c                                                                 */
/*****************************************************************************/
OSP_RC lam_search(LAM_HANDLE, char *, int, char *, char**, int, void *,
                                                          LAM_RESULT_CALLBACK);

#endif
