#ifndef LAMFUNC_INCLUDED
#define LAMFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    lamfunc.h                                                      */
/*                                                                           */
/* Purpose:   LDAP Access Manager (LAM) Internal function protoypes          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.6                $ $Modtime::   Jan 11 2001 15:56:36   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* lamthrd.c                                                                 */
/*****************************************************************************/
void *lam_thread_proc(void *thread_info);

void lam_do_request_callback(PLAM_REQUEST_INFO, LDAP *, LDAPMessage **);

int lam_bind(PLAM_THREAD_DATA);

/*****************************************************************************/
/* lamctrl.c                                                                 */
/*****************************************************************************/
void lam_close_internal(PLAM_HOST_CONN);

/*****************************************************************************/
/* lamutil.c                                                                 */
/*****************************************************************************/
OSP_RC lam_create_host_connection(char *,
                                  int,
                                  char *,
                                  char *,
                                  LAM_HOST_CONN **);

OSP_RC lam_create_thread(LAM_HOST_CONN *);

void lam_submit_new_request(PLAM_HOST_CONN, PLAM_REQUEST_INFO);

PLAM_REQUEST_INFO lam_build_search_request(char *,
                                           int,
                                           char *,
                                           char **,
                                           int,
                                           void *,
                                           LAM_RESULT_CALLBACK);

#endif
