#ifndef LAMGLBL_INCLUDED
#define LAMGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    lamglbl.h                                                      */
/*                                                                           */
/* Purpose:   LDAP Access Manager (LAM) Global variables                     */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.6                $ $Modtime::   Jan 11 2001 15:56:36   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Mutex used to protect all global variables                                */
/*****************************************************************************/
#ifdef LAM_DEFINE_VARS
pthread_mutex_t lam_mutex;
#else
extern pthread_mutex_t lam_mutex;
#endif

/*****************************************************************************/
/* Initialized flag                                                          */
/*****************************************************************************/
#ifdef LAM_DEFINE_VARS
int lam_initialized = FALSE;
#else
extern int lam_initialized;
#endif

/*****************************************************************************/
/* Connection list                                                           */
/*****************************************************************************/
#ifdef LAM_DEFINE_VARS
LIST_ENTRY lam_host_conn_list;
#else
extern LIST_ENTRY lam_host_conn_list;
#endif

/*****************************************************************************/
/* Thread-specific data key used to to identify LAM threads                  */
/*****************************************************************************/
#ifdef LAM_DEFINE_VARS
pthread_key_t lam_thread_key;
const char lam_key_name[] = "OpenOSP LAM Thread";
#else
extern pthread_key_t lam_thread_key;
extern const char lam_key_name[];
#endif

#endif
