#ifndef RMEXTRN_INCLUDED
#define RMEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    rmextrn.h                                                      */
/*                                                                           */
/* Purpose:   Resource Manager (RM) External API prototypes                  */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:38   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* rmmain.c                                                                  */
/*****************************************************************************/
OSP_RC rm_init(void);

void rm_term(void);

void *rm_get_mem(unsigned int);

void rm_release_mem(void *mem);

void *rm_realloc_mem(void *, unsigned int);

#define RM_THREAD_INFO       1  /* a thread information block                */
#define RM_CONN_INFO         2  /* a connection information block            */
#define RM_TRANS_INFO        3  /* a transaction information block           */
void *rm_get_structure(unsigned int, int);

void rm_release_structure(void *, int);

#define RM_WORKER_THREAD     1  /* an internal OpenOSP thread                */
#define RM_LAM_THREAD        2  /* an internal LAM thread                    */
#define RM_CCM_THREAD        3  /* an internal CCM thread                    */
OSP_RC rm_request_thread_create(int);

OSP_RC rm_notify_thread_exit(int);

#endif

