#ifndef RMGLBL_INCLUDED
#define RMGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    rmglbl.h                                                       */
/*                                                                           */
/* Purpose:   Resource Manager (RM) global variables                         */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:38   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Initialized flag                                                          */
/*****************************************************************************/
#ifdef RM_DEFINE_VARS
int rm_initialized = FALSE;
#else
extern int rm_initialized;
#endif

#ifdef OSP_DEBUG
/*****************************************************************************/
/* Count of allocated structures                                             */
/*****************************************************************************/
#ifdef RM_DEFINE_VARS
unsigned long count_struct[4] = { 0 };
#else
extern unsigned long count_struct[4];
#endif

/*****************************************************************************/
/* Count of running threads                                                  */
/*****************************************************************************/
#ifdef RM_DEFINE_VARS
unsigned long count_threads[4] = { 0 };
#else
extern unsigned long count_threads[4];
#endif

/*****************************************************************************/
/* Count of allocated memory                                                 */
/*****************************************************************************/
#ifdef RM_DEFINE_VARS
unsigned long count_mem = 0;
#else
extern unsigned long count_mem;
#endif

/*****************************************************************************/
/* Mutex used to lock counts                                                 */
/*****************************************************************************/
#ifdef RM_DEFINE_VARS
pthread_mutex_t rm_count_mutex;
#else
extern pthread_mutex_t rm_count_mutex;
#endif

#endif

#endif

