#ifndef SCEPCNST_INCLUDED
#define SCEPCNST_INCLUDED

/**INC+***********************************************************************/
/* Header:    scepcnst.h                                                     */
/*                                                                           */
/* Purpose:   SCEP constants                                                 */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:40   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Name of configuration entry for CA name.                                  */
/*****************************************************************************/
#ifdef SCEP_DEFINE_VARS
const char scep_config_ca_name[] = "ca_identity";
#else
extern const char scep_config_ca_name[];
#endif

/*****************************************************************************/
/* Strings to look for in HTTP requests                                      */
/*****************************************************************************/
#ifdef SCEP_DEFINE_VARS
const char scep_txt_operation[] = "operation=";
const char scep_txt_message[] = "&message=";
const char scep_txt_getcacert[] = "getcacert";
const char scep_txt_pkioperation[] = "pkioperation";
#else
extern const char scep_txt_operation[];
extern const char scep_txt_message[];
extern const char scep_txt_getcacert[];
extern const char scep_txt_pkioperation[];
#endif

/*****************************************************************************/
/* Strings for constructing HTTP responses                                   */
/*****************************************************************************/
#ifdef SCEP_DEFINE_VARS
const char scep_resp_head[] = "Content-Type:";
const char scep_resp_cacert[] = "application/x-x509-ca-cert";
const char scep_resp_pkimsg[] = "application/x-pki-message";
const char scep_resp_tail[] = "\n\n";
#else
extern const char scep_resp_head[];
extern const char scep_resp_cacert[];
extern const char scep_resp_pkimsg[];
extern const char scep_resp_tail[];
#endif

/*****************************************************************************/
/* messageType values                                                        */
/*****************************************************************************/
#ifdef SCEP_DEFINE_VARS
const char scep_msgtype_pkcsreq[] = "19";
const char scep_msgtype_certrep[] = "3";
const char scep_msgtype_getcertinit[] = "20";
const char scep_msgtype_getcert[] = "21";
const char scep_msgtype_getcrl[] = "22";
#else
extern const char scep_msgtype_pkcsreq[];
extern const char scep_msgtype_certrep[];
extern const char scep_msgtype_getcertinit[];
extern const char scep_msgtype_getcert[];
extern const char scep_msgtype_getcrl[];
#endif

/*****************************************************************************/
/* pkiStatus values                                                          */
/*****************************************************************************/
#ifdef SCEP_DEFINE_VARS
const char scep_pkistatus_success[] = "0";
const char scep_pkistatus_failure[] = "2";
const char scep_pkistatus_pending[] = "3";
#else
extern const char scep_pkistatus_success[];
extern const char scep_pkistatus_failure[];
extern const char scep_pkistatus_pending[];
#endif

/*****************************************************************************/
/* failInfo values                                                           */
/*****************************************************************************/
#ifdef SCEP_DEFINE_VARS
const char scep_failinfo_badalg[] = "0";
const char scep_failinfo_badmsgchk[] = "1";
const char scep_failinfo_badreq[] = "2";
const char scep_failinfo_badtime[] = "3";
const char scep_failinfo_badcertid[] = "4";
#else
extern const char scep_failinfo_badalg[];
extern const char scep_failinfo_badmsgchk[];
extern const char scep_failinfo_badreq[];
extern const char scep_failinfo_badtime[];
extern const char scep_failinfo_badcertid[];
#endif

#endif

