#ifndef SCEPDEF_INCLUDED
#define SCEPDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    scepdef.h                                                      */
/*                                                                           */
/* Purpose:   SCEP #defines                                                  */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.6                $ $Modtime::   Jan 11 2001 15:56:40   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Integers respresenting a recognized operation type.                       */
/*****************************************************************************/
#define SCEP_OP_UNKNOWN                 0
#define SCEP_OP_GETCACERT               1
#define SCEP_OP_PKIOPERATION            2

/*****************************************************************************/
/* messageType numerical values.                                             */
/*****************************************************************************/
#define SCEP_MSGTYPE_INT_PKCSREQ        19
#define SCEP_MSGTYPE_INT_CERTREP        3
#define SCEP_MSGTYPE_INT_GETCERTINIT    20
#define SCEP_MSGTYPE_INT_GETCERT        21
#define SCEP_MSGTYPE_INT_GETCRL         22

/*****************************************************************************/
/* The number of bytes to generate for an n-once value.                      */
/*****************************************************************************/
#define SCEP_N_ONCE_LEN                 16

/*****************************************************************************/
/* Length of scep_txt_xxx constants.                                         */
/*****************************************************************************/
#define SCEP_TXT_OPERATION_LEN          10
#define SCEP_TXT_MESSAGE_LEN            9
#define SCEP_TXT_GETCACERT_LEN          9
#define SCEP_TXT_PKIOPERATION_LEN       12

/*****************************************************************************/
/* Length of scep_resp_xxx constants.                                        */
/*****************************************************************************/
#define SCEP_RESP_HEAD_LEN              13
#define SCEP_RESP_CACERT_LEN            26
#define SCEP_RESP_PKIMSG_LEN            25
#define SCEP_RESP_TAIL_LEN              2

#endif

