#ifndef SCEPFUNC_INCLUDED
#define SCEPFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    scepfunc.h                                                     */
/*                                                                           */
/* Purpose:   SCEP internal function prototypes                              */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.9                $ $Modtime::   Jan 11 2001 15:56:40   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* scepattr.c                                                                */
/*****************************************************************************/

OSP_RC scep_extract_attribs(STACK_OF(X509_ATTRIBUTE) *,
                            char **,
                            char **,
                            char **,
                            unsigned int *);

OSP_RC scep_get_string_attrib(STACK_OF(X509_ATTRIBUTE) *,
                             int,
                             int,
                             char **,
                             unsigned int *);

OSP_RC scep_get_attrib(STACK_OF(X509_ATTRIBUTE) *,
                       int,
                       ASN1_TYPE **);

OSP_RC scep_make_common_attribs(SCEP_STATE *,
                                const char *,
                                const char *,
                                STACK_OF(X509_ATTRIBUTE) **);

OSP_RC scep_add_string_attrib(STACK_OF(X509_ATTRIBUTE) *,
                              int,
                              int,
                              const char *,
                              unsigned int);

OSP_RC scep_add_attrib(STACK_OF(X509_ATTRIBUTE) *,
                       int,
                       int,
                       void *);

/*****************************************************************************/
/* scepreq.c                                                                 */
/*****************************************************************************/
OSP_RC scep_parse_op_type(char **,
                          char *,
                          unsigned int *,
                          unsigned int *);

OSP_RC scep_process_getcacert(SCEP_STATE *,
                              char *,
                              unsigned int);

OSP_RC scep_process_pkioperation(SCEP_STATE *,
                                 char *,
                                 unsigned int);

OSP_RC scep_process_pkcsreq(SCEP_STATE *,
                            char *,
                            unsigned int);

void scep_new_cert_callback(void *,
                            char *,
                            unsigned int);

/*****************************************************************************/
/* sceputil.c                                                                */
/*****************************************************************************/
OSP_RC scep_build_certrep(char *,
                          unsigned int,
                          char **,
                          unsigned int *);

OSP_RC scep_send_scep_failure(SCEP_STATE *,
                              char *);

OSP_RC scep_send_http_failure(TRANS_INFO *,
                              int);

OSP_RC scep_make_response_header(TRANS_INFO *,
                                 unsigned int);

OSP_RC scep_send_response(SCEP_STATE *,
                          unsigned int,
                          char *,
                          unsigned int);

OSP_RC scep_remove_escapes(char *,
                           unsigned int *);

void scep_free_state(SCEP_STATE *);

#endif

