#ifndef SMCONST_INCLUDED
#define SMCONST_INCLUDED

/**INC+***********************************************************************/
/* Header:    smconst.h                                                      */
/*                                                                           */
/* Purpose:   SM Globals                                                     */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.8                $ $Modtime::   Jan 11 2001 15:56:42   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Various HTTP-related constants.                                           */
/*                                                                           */
/* Note that these are NOT null-terminated.  Use sizeof() to find their      */
/* length, not strlen().                                                     */
/*****************************************************************************/
#ifdef SM_DEFINE_VARS
const char sm_const_http_10_response[15] = "HTTP/1.0 200 OK";
const char sm_const_http_11_response[15] = "HTTP/1.1 200 OK";
const char sm_const_crlf[2] = "\r\n";
const char sm_const_content_length[15] = "Content-Length:";
const char sm_const_content_type[13] = "Content-Type:";
const char sm_const_connection[11] = "Connection:";
const char sm_const_conn_keep_alive[10] = "Keep-Alive";
const char sm_const_conn_close[5] = "Close";
const char sm_const_conn_header_keep_alive[22] = "Connection: Keep-Alive";
const char sm_const_conn_header_close[17] = "Connection: Close";
#else
extern const char sm_const_http_10_response[15];
extern const char sm_const_http_11_response[15];
extern const char sm_const_crlf[2];
extern const char sm_const_content_length[15];
extern const char sm_const_content_type[13];
extern const char sm_const_connection[11];
extern const char sm_const_conn_keep_alive[10];
extern const char sm_const_conn_close[5];
extern const char sm_const_conn_header_keep_alive[22];
extern const char sm_const_conn_header_close[17];
#endif

/*****************************************************************************/
/* HTTP/1.0 and HTTP/1.1 canned failure responses.                           */
/*                                                                           */
/* Note that these are NOT null-terminated.  Use sizeof() to find their      */
/* length, not strlen().                                                     */
/*****************************************************************************/
#ifdef SM_DEFINE_VARS
const char sm_const_canned_400_10[28] =
                                            "HTTP/1.0 400 Bad Request\r\n\r\n";
const char sm_const_canned_500_10[38] =
                                  "HTTP/1.0 500 Internal Server Error\r\n\r\n";
const char sm_const_canned_501_10[32] =
                                        "HTTP/1.0 501 Not Implemented\r\n\r\n";
const char sm_const_canned_400_11[47] =
                       "HTTP/1.1 400 Bad Request\r\nConnection: Close\r\n\r\n";
const char sm_const_canned_500_11[57] =
             "HTTP/1.1 500 Internal Server Error\r\nConnection: Close\r\n\r\n";
const char sm_const_canned_501_11[51] =
                   "HTTP/1.1 501 Not Implemented\r\nConnection: Close\r\n\r\n";
#else
extern const char sm_const_canned_400_10[28];
extern const char sm_const_canned_500_10[38];
extern const char sm_const_canned_501_10[32];
extern const char sm_const_canned_400_11[47];
extern const char sm_const_canned_500_11[57];
extern const char sm_const_canned_501_11[51];
#endif

#endif

