#ifndef SMEXTRN_INCLUDED
#define SMEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    smextrn.h                                                      */
/*                                                                           */
/* Purpose:   Include file for users of SM                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:42   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Function Prototypes                                                       */
/*****************************************************************************/

/*****************************************************************************/
/* smmain.c                                                                  */
/*****************************************************************************/
OSP_RC sm_send_response(TRANS_INFO *, char *, int);
int sm_is_sm_thread(void);

#ifdef OSP_MEASURE_PERFORMANCE
void sm_print_performance_measurements(FILE *);
#endif

/*****************************************************************************/
/* HTTP error codes used by sm_send_response()                               */
/*****************************************************************************/
#define SM_RESPONSE_200 0
#define SM_RESPONSE_400 1
#define SM_RESPONSE_500 2
#define SM_RESPONSE_501 3

/*****************************************************************************/
/* HTTP version in use on a transaction                                      */
/*****************************************************************************/
#define SM_HTTP_VERSION_UNDETECTED      0
#define SM_HTTP_0_9                     9
#define SM_HTTP_1_0                     10
#define SM_HTTP_1_1                     11

#ifdef OSP_MEASURE_TRANSACTION
/*****************************************************************************/
/* Get current times macro.                                                  */
/*****************************************************************************/
#define SM_GETTIMES(var) gettimeofday(&(var.real), NULL)
#endif

#endif

