#ifndef SMFUNC_INCLUDED
#define SMFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    smfunc.h                                                       */
/*                                                                           */
/* Purpose:   SM Internal function protoypes                                 */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.15               $ $Modtime::   Jan 11 2001 15:56:42   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* smint.c                                                                   */
/*****************************************************************************/
unsigned long sm_get_thread_id(void);
void sm_locking_callback(int, int, const char *, int);
int sm_ssl_verify_callback(SSL *,
                           char *,
                           unsigned  int,
                           unsigned  int,
                           unsigned  int);
int sm_call_verify_callback(CONN_INFO *,
                            char *,
                            unsigned  int,
                            unsigned  int,
                            unsigned  int);
int sm_create_socket(unsigned short);
TRANS_INFO *sm_get_transaction(CONN_INFO *);
void sm_free_transaction(TRANS_INFO *, int);
OSP_RC sm_read_config_file(LHASH *, CONFIG_DATA *);
char *sm_strtok(char *, char, char **);
OSP_RC sm_queue_transaction(TRANS_INFO *, int);

#ifdef OSP_MEASURE_PERFORMANCE
void sm_print_performance_data(FILE *, SM_PERF *);
#endif

/*****************************************************************************/
/* smmain.c                                                                  */
/*****************************************************************************/
OSP_RC sm_init_ssl(void);
void sm_term_ssl(void);
OSP_RC sm_init(void);
void sm_term(void);
void sm_internal_term(void);

/*****************************************************************************/
/* smlisten.c                                                                */
/*****************************************************************************/
void *sm_listener_thread(void *);
void sm_listener_handle_new_connection(int, int);
OSP_RC sm_listener_create_worker_thread(void);
THREAD_INFO *sm_listener_find_free_worker_thread(void);
void sm_listener_maybe_create_new_worker(void);
void sm_listener_hand_connection_to_worker(CONN_INFO *, THREAD_INFO *);

/*****************************************************************************/
/* smworker.c                                                                */
/*****************************************************************************/
void *sm_worker_thread(void *);
void sm_worker_close_connection(CONN_INFO *);
void sm_worker_terminate(THREAD_INFO *);
int sm_worker_check_notify_fd(THREAD_INFO *, fd_set *, fd_set *);
void sm_worker_check_wakeup_fd(THREAD_INFO *, fd_set *, fd_set *);
void sm_worker_check_fd(CONN_INFO *, fd_set *, fd_set *, fd_set *);

/*****************************************************************************/
/* smwkhttp.c                                                                */
/*****************************************************************************/
int sm_worker_received_data(CONN_INFO *);
int sm_worker_received_post(CONN_INFO *, int *);
int sm_worker_received_get(CONN_INFO *, int *);
void sm_worker_send_canned_response(TRANS_INFO *, int);

#endif
