#ifndef SMIDEF_INCLUDED
#define SMIDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    smidef.h                                                       */
/*                                                                           */
/* Purpose:   S/MIME #defines                                                */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:44   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* The multipart boundary format.                                            */
/*****************************************************************************/
#define SMIME_BOUNDARY_FORMAT     "----=_Separator%08X%08X%08X%08X"

/*****************************************************************************/
/* The number of longs in the random part of the MIME boundary, and macros   */
/* to create this number of parameters, for use with sprintf() when          */
/* generating the boundary string.                                           */
/*****************************************************************************/
#define SMIME_BOUNDARY_RAND_LONGS        4
#define SMIME_BOUNDARY_RAND_VALUES(A)    A[0], A[1], A[2], A[3]
#define SMIME_BOUNDARY_MAXULONG_VALUES   MAX_ULONG, MAX_ULONG, \
                                                           MAX_ULONG, MAX_ULONG

/*****************************************************************************/
/* The number of bytes to use for a temporary buffer for atoi().             */
/*****************************************************************************/
#define SMIME_ATOI_BUFLEN                32

/*****************************************************************************/
/* The size of a buffer that is at least big enough to hold the text/plain   */
/* header that we prepend to the XML.                                        */
/*****************************************************************************/
#define SMIME_MAX_TP_HEADER              120

#endif

