#ifndef SMINCL_INCLUDED
#define SMINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    smincl.h                                                       */
/*                                                                           */
/* Purpose:   Includes for SM                                                */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.11               $ $Modtime::   Jan 11 2001 15:56:44   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes                                                           */
/*****************************************************************************/
#include <pthread.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <fcntl.h>
#include <sys/file.h>
#include <sys/time.h>
#include <string.h>
#include <unistd.h>
#include <arpa/inet.h>
#include <ctype.h>
#include <inet/common.h>
#include <lber.h>
#include <ldap.h>

/*****************************************************************************/
/* SSL includes                                                              */
/*****************************************************************************/
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <openssl/conf.h>

/*****************************************************************************/
/* Stack includes                                                            */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <rmextrn.h>
#include <ccmextrn.h>
#include <smiextrn.h>
#ifdef OSP_SUPPORT_SCEP
#include <scepextn.h>
#endif
#include <lamextrn.h>

/*****************************************************************************/
/* SM includes                                                               */
/*****************************************************************************/
#include <smstrct.h>
#include <smconst.h>
#include <smdef.h>
#include <smextrn.h>
#include <smfunc.h>
#include <smglbl.h>

#endif

