#ifndef SMISTRCT_INCLUDED
#define SMISTRCT_INCLUDED

/**INC+***********************************************************************/
/* Header:    smistrct.h                                                     */
/*                                                                           */
/* Purpose:   S/MIME structure definitions                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:46   $  */
/*                                                                           */
/**INC-***********************************************************************/

/**STRUCT+********************************************************************/
/* Structure: SMIME_DATA                                                     */
/*                                                                           */
/* Description: S/MIME internal data structure                               */
/*****************************************************************************/

typedef struct smime_data
{
  /***************************************************************************/
  /* The identity to use to sign messages (from config).                     */
  /***************************************************************************/
  char *signing_dn;

  /***************************************************************************/
  /* The default signing digest to use (from config).                        */
  /***************************************************************************/
  unsigned int default_digest;

  /***************************************************************************/
  /* The space to reserve for the text/plain header in an S/MIME response.   */
  /***************************************************************************/
  int send_header_space;

  /***************************************************************************/
  /* The mutex that protects access to the callback function pointer.        */
  /***************************************************************************/
  OSP_RECURSIVE_MUTEX callback_mutex;

  /***************************************************************************/
  /* The non-repudiation callback function.                                  */
  /***************************************************************************/
  POSP_NON_REPUDIATION_CALLBACK nr_cb;

} SMIME_DATA;

/**STRUCT-********************************************************************/

#endif

