#ifndef SMTIME_INCLUDED
#define SMTIME_INCLUDED

/**INC+***********************************************************************/
/* Header:    smtime.h                                                       */
/*                                                                           */
/* Purpose:   Structure definition for transaction timing measurements       */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:46   $  */
/*                                                                           */
/**INC-***********************************************************************/

/**STRUCT+********************************************************************/
/* Structure: SM_TIMINGS                                                     */
/*                                                                           */
/* Description: Structure containing single transaction timings.             */
/*****************************************************************************/

typedef struct sm_timings
{
  /***************************************************************************/
  /* Real time.                                                              */
  /***************************************************************************/
  struct timeval real;

  /***************************************************************************/
  /* We have experimented with including CPU times in this structure as      */
  /* well; but in practice the granularity on Solaris is so coarse that CPU  */
  /* times don't give us any useful information.                             */
  /***************************************************************************/

} SM_TIMINGS;

/**STRUCT-********************************************************************/

#endif
