
#ifndef USECONST_INCLUDED
#define USECONST_INCLUDED

/**INC+***********************************************************************/
/* Header:    useconst.h                                                     */
/*                                                                           */
/* Purpose:   USE (Usage Metering) AIB - global constants                    */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:48   $  */
/*                                                                           */
/**INC-***********************************************************************/

#ifdef USE_DEFINE_VARS
AIB_ELEMENT use_usage_indication_elements[] = {
  { com_timestamp,            aib_start_processing_simple_element,
    AIB_OCCURS_ONCE,          offsetof(USE_DATA, timestamp),
                              AIB_DEF_TIME_LEN,
                              NULL },

  { com_role,                 aib_start_processing_simple_element,
    AIB_OCCURS_ONCE,          offsetof(USE_DATA, role),
                              AIB_DEF_ROLE_LEN,
                              NULL },

  { com_trans_id,             aib_start_processing_simple_element,
    AIB_OCCURS_ONCE,          offsetof(USE_DATA, transaction_id),
                              AIB_DEF_TRANSACTIONID_LEN,
                              NULL },

  { com_call_id,              aib_start_processing_call_id,
    AIB_OCCURS_ONCE,          offsetof(USE_DATA, call_id),
                              0,
                              NULL },

  { com_source_info,          aib_start_processing_address,
    AIB_OCCURS_ONCE,          offsetof(USE_DATA, source_info),
                              0,
                              NULL },

  { com_source_alt,           aib_start_processing_list,
    AIB_OCCURS_STAR,          offsetof(USE_DATA, source_alt_list),
                              0,
                              (void *)aib_start_processing_address },

  { com_dest_info,            aib_start_processing_address,
    AIB_OCCURS_ONCE,          offsetof(USE_DATA, dest_info),
                              0,
                              NULL },

  { com_dest_alt,             aib_start_processing_list,
    AIB_OCCURS_STAR,          offsetof(USE_DATA, dest_alt_list),
                              0,
                              (void *)aib_start_processing_address },

  { com_usage,                aib_start_processing_list,
    AIB_OCCURS_STAR,          offsetof(USE_DATA, use_detail_list),
                              0,
                              (void *)aib_start_processing_usage_detail },

  { NULL, NULL, 0, 0, 0, NULL }
};
#else
extern AIB_ELEMENT use_usage_indication_elements[];
#endif

/*****************************************************************************/
/* String constants for Cisco's AuditSignal extension.                       */
/*****************************************************************************/
#ifdef USE_DEFINE_VARS
const char use_audit_signal_start[] = "<cisco.com:AuditSignal"
                     " critical=\"False\">\nstart\n</cisco.com:AuditSignal>\n";
const char use_audit_signal_stop[] = "<cisco.com:AuditSignal"
                      " critical=\"False\">\nstop\n</cisco.com:AuditSignal>\n";
#else
extern const char use_audit_signal_start[];
extern const char use_audit_signal_stop[];
#endif

#endif
