
#ifndef USESTRC_INCLUDED
#define USESTRC_INCLUDED

/**INC+***********************************************************************/
/* Header:    usestrc.h                                                      */
/*                                                                           */
/* Purpose:   USE (Usage Metering) AIB - structure type definitions          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:48   $  */
/*                                                                           */
/**INC-***********************************************************************/

/**STRUCT+********************************************************************/
/* Structure: USE_DATA                                                       */
/*                                                                           */
/* Description: A structure that encapsulates all the data associated with   */
/*              the parsing of a single UsageIndication component.           */
/*                                                                           */
/*****************************************************************************/

typedef struct use_data
{
  /***************************************************************************/
  /* Common parsing state data.                                              */
  /***************************************************************************/
  AIB_DATA common;

  /***************************************************************************/
  /* USE callback data.                                                      */
  /***************************************************************************/
  char *timestamp;
  char *role;
  char *transaction_id;
  OSP_CALL_ID *call_id;
  OSP_ADDRESS *source_info;
  SLIST_ROOT source_alt_list;
  OSP_ADDRESS *dest_info;
  SLIST_ROOT dest_alt_list;
  SLIST_ROOT use_detail_list;

} USE_DATA;

/**STRUCT-********************************************************************/

#endif
