#ifndef XMLCONST_INCLUDED
#define XMLCONST_INCLUDED

/**INC+***********************************************************************/
/* Header:    xmlconst.h                                                     */
/*                                                                           */
/* Purpose:   XML Layer constants                                            */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.8                $ $Modtime::   Jan 11 2001 15:56:50   $  */
/*                                                                           */
/**INC-***********************************************************************/

#ifdef XML_DEFINE_VARS
char xml_dtd[] =
  "<!DOCTYPE Message ["                                                       \
  "<!ELEMENT Message ( ("                                                     \
  " PricingIndication | PricingConfirmation |"                                \
  " AuthorizationRequest | AuthorizationResponse |"                           \
  " AuthorisationRequest | AuthorisationResponse |"                           \
  " AuthorizationIndication | AuthorizationConfirmation |"                    \
  " AuthorisationIndication | AuthorisationConfirmation |"                    \
  " UsageIndication | UsageConfirmation |"                                    \
  " ReauthorizationRequest | ReauthorizationResponse |"                       \
  " ReauthorisationRequest | ReauthorisationResponse |"                       \
  " SubscriberAuthenticationRequest | SubscriberAuthenticationResponse |"     \
  " CapabilitiesIndication | CapabilitiesConfirmation )+ )>"                  \
  "<!ATTLIST Message messageId ID #REQUIRED"                                  \
  " random CDATA #REQUIRED>"                                                  \
  "<!ELEMENT PricingIndication ("                                             \
  " Timestamp, SourceInfo, DestinationInfo, Currency, Amount, Increment,"     \
  " Unit, Service, ValidAfter, ValidUntil )>"                                 \
  "<!ATTLIST PricingIndication componentId ID #REQUIRED>"                     \
  "<!ELEMENT PricingConfirmation ( Timestamp, Status )>"                      \
  "<!ATTLIST PricingConfirmation componentId ID #REQUIRED>"                   \
  "<!ELEMENT AuthorizationRequest ( Timestamp, CallId+, SourceInfo,"          \
  " SourceAlternate*, DestinationInfo, DestinationAlternate*, Service,"       \
  " MaximumDestinations, Token*, SubscriberAuthenticationInfo* )>"            \
  "<!ATTLIST AuthorizationRequest componentId ID #REQUIRED>"                  \
  "<!ELEMENT AuthorizationResponse ( Timestamp, Status, TransactionId,"       \
  " Token*, Destination* )>"                                                  \
  "<!ATTLIST AuthorizationResponse componentId ID #REQUIRED>"                 \
  "<!ELEMENT AuthorisationRequest ( Timestamp, CallId+, SourceInfo,"          \
  " SourceAlternate*, DestinationInfo, DestinationAlternate*, Service,"       \
  " MaximumDestinations, Token*, SubscriberAuthenticationInfo* )>"            \
  "<!ATTLIST AuthorisationRequest componentId ID #REQUIRED>"                  \
  "<!ELEMENT AuthorisationResponse ( Timestamp, Status, TransactionId,"       \
  " Token*, Destination* )>"                                                  \
  "<!ATTLIST AuthorisationResponse componentId ID #REQUIRED>"                 \
  "<!ELEMENT AuthorizationIndication ( Timestamp, Role, CallId, SourceInfo,"  \
  " SourceAlternate*, DestinationInfo, DestinationAlternate*,"                \
  " Service, Token* )>"                                                       \
  "<!ATTLIST AuthorizationIndication componentId ID #REQUIRED>"               \
  "<!ELEMENT AuthorizationConfirmation ( Timestamp, Status,"                  \
  " ValidAfter, ValidUntil )>"                                                \
  "<!ATTLIST AuthorizationConfirmation componentId ID #REQUIRED>"             \
  "<!ELEMENT AuthorisationIndication ( Timestamp, Role, CallId, SourceInfo,"  \
  " SourceAlternate*, DestinationInfo, DestinationAlternate*,"                \
  " Service, Token* )>"                                                       \
  "<!ATTLIST AuthorisationIndication componentId ID #REQUIRED>"               \
  "<!ELEMENT AuthorisationConfirmation ( Timestamp, Status,"                  \
  " ValidAfter, ValidUntil )>"                                                \
  "<!ATTLIST AuthorisationConfirmation componentId ID #REQUIRED>"             \
  "<!ELEMENT UsageIndication ( Timestamp, Role, TransactionId,"               \
  " CallId, SourceInfo, SourceAlternate*, DestinationInfo,"                   \
  " DestinationAlternate*, UsageDetail*)>"                                    \
  "<!ATTLIST UsageIndication componentId ID #REQUIRED>"                       \
  "<!ELEMENT UsageConfirmation ( Timestamp, Status )>"                        \
  "<!ATTLIST UsageConfirmation componentId ID #REQUIRED>"                     \
  "<!ELEMENT ReauthorizationRequest ( Timestamp, Role,"                       \
  " CallId, SourceInfo?, SourceAlternate*, DestinationInfo?,"                 \
  " DestinationAlternate*, TransactionId, UsageDetail*, Token* )>"            \
  "<!ATTLIST ReauthorizationRequest componentId ID #REQUIRED>"                \
  "<!ELEMENT ReauthorizationResponse ( Timestamp, Status,"                    \
  " TransactionId, Token, Destination* )>"                                    \
  "<!ATTLIST ReauthorizationResponse componentId ID #REQUIRED>"               \
  "<!ELEMENT ReauthorisationRequest ( Timestamp, Role,"                       \
  " CallId, SourceInfo?, SourceAlternate*, DestinationInfo?,"                 \
  " DestinationAlternate*, TransactionId, UsageDetail*, Token* )>"            \
  "<!ATTLIST ReauthorisationRequest componentId ID #REQUIRED>"                \
  "<!ELEMENT ReauthorisationResponse ( Timestamp, Status,"                    \
  " TransactionId, Token, Destination* )>"                                    \
  "<!ATTLIST ReauthorisationResponse componentId ID #REQUIRED>"               \
  "<!ELEMENT SubscriberAuthenticationRequest (Timestamp,"                     \
  " SourceInfo, SourceAlternate*, DestinationInfo?,"                          \
  " Service?, SubscriberAuthenticationInfo?)>"                                \
  "<!ATTLIST SubscriberAuthenticationRequest componentId ID #REQUIRED>"       \
  "<!ELEMENT SubscriberAuthenticationResponse (Timestamp, Status,"            \
  " SubscriberAuthenticationInfo*, cisco.com:CreditAmount?,"                  \
  " cisco.com:CreditTime?)>"                                                  \
  "<!ATTLIST SubscriberAuthenticationResponse componentId ID #REQUIRED>"      \
  "<!ELEMENT CapabilitiesIndication (DeviceInfo*, OSPVersion,"                \
  " OSPCapability*, Resources*)>"                                             \
  "<!ATTLIST CapabilitiesIndication componentId ID #REQUIRED"                 \
  " critical ( true | false ) #FIXED \"false\">"                              \
  "<!ELEMENT CapabilitiesConfirmation (Timestamp, Status, OSPVersion,"        \
  " OSPService*, CertificateChain*, DeviceId?)>"                              \
  "<!ATTLIST CapabilitiesConfirmation componentId ID #REQUIRED"               \
  " critical (true | false) #FIXED \"false\">"                                \
  "<!ELEMENT Amount (#PCDATA)>"                                               \
  "<!ATTLIST Amount critical (true | false) \"true\">"                        \
  "<!ELEMENT AuthorityURL (#PCDATA)>"                                         \
  "<!ATTLIST AuthorityURL critical (true | false) \"true\">"                  \
  "<!ELEMENT CallId (#PCDATA)>"                                               \
  "<!ATTLIST CallId encoding (cdata | base64) \"cdata\""                      \
  " critical (true | false) \"true\">"                                        \
  "<!ELEMENT Code (#PCDATA)>"                                                 \
  "<!ATTLIST Code critical (true | false) \"true\">"                          \
  "<!ELEMENT Currency (#PCDATA)>"                                             \
  "<!ATTLIST Currency critical (true | false) \"true\">"                      \
  "<!ELEMENT Description (#PCDATA)>"                                          \
  "<!ATTLIST Description critical (true | false) \"false\">"                  \
  "<!ELEMENT Destination ( DestinationInfo?, DestinationAlternate*,"          \
  " DestinationSignalAddress, Token*, ValidAfter?, ValidUntil?,"              \
  " UsageDetail*, AuthorityURL*, CallId )>"                                   \
  "<!ATTLIST Destination critical (true | false) \"true\">"                   \
  "<!ELEMENT DestinationAlternate (#PCDATA)>"                                 \
  "<!ATTLIST DestinationAlternate type ( e164 | h323 | url |"                 \
  " email | transport | international | national | network |"                 \
  " subscriber | abbreviated | e164prefix ) #REQUIRED"                        \
  " critical ( true | false ) \"true\" >"                                     \
  "<!ELEMENT DestinationInfo (#PCDATA)>"                                      \
  "<!ATTLIST DestinationInfo type ( e164 | h323 | url | email |"              \
  " transport | international | national | network | subscriber |"            \
  " abbreviated | e164prefix ) #REQUIRED"                                     \
  " critical ( true | false ) \"true\" >"                                     \
  "<!ELEMENT DestinationSignalAddress (#PCDATA)>"                             \
  "<!ATTLIST DestinationSignalAddress critical (true | false) \"true\">"      \
  "<!ELEMENT Increment (#PCDATA)>"                                            \
  "<!ATTLIST Increment critical (true | false) \"true\">"                     \
  "<!ELEMENT MaximumDestinations (#PCDATA)>"                                  \
  "<!ATTLIST MaximumDestinations critical (true | false) \"true\">"           \
  "<!ELEMENT Role (#PCDATA)>"                                                 \
  "<!ATTLIST Role critical (true | false) \"true\">"                          \
  "<!ELEMENT SourceAlternate (#PCDATA)>"                                      \
  "<!ATTLIST SourceAlternate type ( e164 | h323 | url | email |"              \
  " transport | international | national | network | subscriber |"            \
  " abbreviated | e164prefix | deviceId ) #REQUIRED"                          \
  " critical ( true | false ) \"true\" >"                                     \
  "<!ELEMENT SourceInfo (#PCDATA)>"                                           \
  "<!ATTLIST SourceInfo type ( e164 | h323 | url | email | transport |"       \
  " international | national | network | subscriber | abbreviated |"          \
  " e164prefix | iso7818 | pin | epin ) #REQUIRED"                            \
  " critical ( true | false ) \"true\" >"                                     \
  "<!ELEMENT SourceSignalAddress (#PCDATA)>"                                  \
  "<!ATTLIST SourceSignalAddress critical (true | false) \"true\">"           \
  "<!ELEMENT Status ( Code, Description? )>"                                  \
  "<!ATTLIST Status critical (true | false) \"true\">"                        \
  "<!ELEMENT Timestamp (#PCDATA)>"                                            \
  "<!ATTLIST Timestamp critical (true | false) \"true\">"                     \
  "<!ELEMENT Token (#PCDATA)>"                                                \
  "<!ATTLIST Token encoding (cdata | base64) \"cdata\""                       \
  " critical (true | false) \"true\">"                                        \
  "<!ELEMENT TransactionId (#PCDATA)>"                                        \
  "<!ATTLIST TransactionId critical (true | false) \"true\">"                 \
  "<!ELEMENT Unit (#PCDATA)>"                                                 \
  "<!ATTLIST Unit critical (true | false) \"true\">"                          \
  "<!ELEMENT UsageDetail (Service, Amount, Increment, Unit, StartTime?,"      \
  " EndTime?, TerminationCause?, Statistics? )>"                              \
  "<!ATTLIST UsageDetail critical (true | false) \"true\">"                   \
  "<!ELEMENT ValidAfter (#PCDATA)>"                                           \
  "<!ATTLIST ValidAfter critical (true | false) \"true\">"                    \
  "<!ELEMENT ValidUntil (#PCDATA)>"                                           \
  "<!ATTLIST ValidUntil critical (true | false) \"true\">"                    \
  "<!ELEMENT EndTime (#PCDATA)>"                                              \
  "<!ATTLIST EndTime critical (true | false) #FIXED \"false\">"               \
  "<!ELEMENT StartTime (#PCDATA)>"                                            \
  "<!ATTLIST StartTime critical (true | false) #FIXED \"false\">"             \
  "<!ELEMENT TCCode (#PCDATA)>"                                               \
  "<!ATTLIST TCCode critical (true | false) #FIXED \"false\">"                \
  "<!ELEMENT TerminationCause (TCCode, Description?)>"                        \
  "<!ATTLIST TerminationCause critical (true | false) #FIXED \"false\">"      \
  "<!ELEMENT Certificate (#PCDATA)>"                                          \
  "<!ATTLIST Certificate encoding (cdata | base64) \"base64\""                \
  " critical (true | false) #FIXED \"false\">"                                \
  "<!ELEMENT CertificateChain (Certificate*)>"                                \
  "<!ATTLIST CertificateChain critical (true | false) #FIXED \"false\">"      \
  "<!ELEMENT OSPCapability (#PCDATA)>"                                        \
  "<!ATTLIST OSPCapability critical (true | false) #FIXED \"false\">"         \
  "<!ELEMENT OSPService (OSPCapability, OSPServiceURL*,"                      \
  " OSPSignatureRequired)>"                                                   \
  "<!ATTLIST OSPService critical (true | false) #FIXED \"false\">"            \
  "<!ELEMENT OSPServiceURL (#PCDATA)>"                                        \
  "<!ATTLIST OSPServiceURL critical (true | false) #FIXED \"false\">"         \
  "<!ELEMENT OSPSignatureRequired (#PCDATA)>"                                 \
  "<!ATTLIST OSPSignatureRequired critical (true | false) #FIXED \"false\">"  \
  "<!ELEMENT OSPVersion (#PCDATA)>"                                           \
  "<!ATTLIST OSPVersion critical (true | false) #FIXED \"false\">"            \
  "<!ELEMENT SubscriberAuthenticationInfo (#PCDATA)>"                         \
  "<!ATTLIST SubscriberAuthenticationInfo encoding (cdata | base64) \"cdata\""\
  " critical (true | false) #FIXED \"false\">"                                \
  "<!ELEMENT DeviceInfo (#PCDATA) >"                                          \
  "<!ATTLIST DeviceInfo type ( e164 | h323 | url | email | transport |"       \
  " serialnumber | customerId ) #REQUIRED"                                    \
  " critical ( true | false ) #FIXED \"false\" >"                             \
  "<!ELEMENT DeviceId (#PCDATA) >"                                            \
  "<!ATTLIST DeviceId critical (true | false) \"false\" >"                    \
  "<!ELEMENT DataRate ( NumberOfChannels?, Bandwidth ) >"                     \
  "<!ATTLIST DataRate critical ( true | false ) #FIXED \"false\" >"           \
  "<!ELEMENT NumberOfChannels (#PCDATA) >"                                    \
  "<!ATTLIST NumberOfChannels critical (true | false) #FIXED \"false\" >"     \
  "<!ELEMENT Bandwidth (#PCDATA) >"                                           \
  "<!ATTLIST Bandwidth critical (true | false) #FIXED \"false\" >"            \
  "<!ELEMENT AlmostOutOfResources (#PCDATA) >"                                \
  "<!ATTLIST AlmostOutOfResources critical (true | false) #FIXED \"false\" >" \
  "<!ELEMENT Statistics ( LossSent?, LossReceived?, OneWayDelay?,"            \
  " RoundTripDelay? )>"                                                       \
  "<!ATTLIST Statistics critical (true | false) #FIXED \"false\">"            \
  "<!ELEMENT LossSent ( Packets, Fraction )>"                                 \
  "<!ATTLIST LossSent critical (true | false) #FIXED \"false\">"              \
  "<!ELEMENT Packets (#PCDATA)>"                                              \
  "<!ATTLIST Packets critical (true | false) #FIXED \"false\">"               \
  "<!ELEMENT Fraction (#PCDATA)>"                                             \
  "<!ATTLIST Fraction critical (true | false) #FIXED \"false\">"              \
  "<!ELEMENT LossReceived ( Packets, Fraction )>"                             \
  "<!ATTLIST LossReceived critical (true | false) #FIXED \"false\">"          \
  "<!ELEMENT OneWayDelay ( Minimum, Mean, Variance, Samples )>"               \
  "<!ATTLIST OneWayDelay critical (true | false) #FIXED \"false\">"           \
  "<!ELEMENT Minimum (#PCDATA)>"                                              \
  "<!ATTLIST Minimum critical (true | false) #FIXED \"false\">"               \
  "<!ELEMENT Mean (#PCDATA)>"                                                 \
  "<!ATTLIST Mean critical (true | false) #FIXED \"false\">"                  \
  "<!ELEMENT Variance (#PCDATA)>"                                             \
  "<!ATTLIST Variance critical (true | false) #FIXED \"false\">"              \
  "<!ELEMENT Samples (#PCDATA)>"                                              \
  "<!ATTLIST Samples critical (true | false) #FIXED \"false\">"               \
  "<!ELEMENT RoundTripDelay ( Minimum, Mean, Variance, Samples )>"            \
  "<!ATTLIST RoundTripDelay critical (true | false) #FIXED \"false\">"        \
  "<!ELEMENT Service ( Bandwidth?, cisco.com:ServiceType?,"                   \
  " cisco.com:ProtocolType* )>"                                               \
  "<!ATTLIST Service critical ( true | false ) \"true\" >"                    \
  "<!ELEMENT cisco.com:ServiceType ( #PCDATA )>"                              \
  "<!ATTLIST cisco.com:ServiceType critical (true | false) #FIXED \"false\">" \
  "<!ELEMENT cisco.com:ProtocolType ( #PCDATA )>"                             \
  "<!ATTLIST cisco.com:ProtocolType critical (true | false) #FIXED \"false\">"\
  "<!ELEMENT Resources ( DataRate?, AlmostOutOfResources?,"                   \
  " cisco.com:SupportedProtocol* )>"                                          \
  "<!ATTLIST Resources critical (true | false) #FIXED \"false\" >"            \
  "<!ELEMENT cisco.com:SupportedProtocol ( cisco.com:ProtocolType,"           \
  " DataRate* )>"                                                             \
  "<!ATTLIST cisco.com:SupportedProtocol critical (true | false)"             \
  " #FIXED \"false\">"                                                        \
  "<!ELEMENT cisco.com:CreditAmount ( Currency, Amount )>"                    \
  "<!ATTLIST cisco.com:CreditAmount critical ( true | false )"                \
  " #FIXED \"false\">"                                                        \
  "<!ELEMENT cisco.com:CreditTime ( Amount, Increment, Unit )>"               \
  "<!ATTLIST cisco.com:CreditTime critical ( true | false )"                  \
  " #FIXED \"false\">"                                                        \
  "]>";
#else
extern char xml_dtd[];
#endif

/*****************************************************************************/
/* Old definitions:                                                          */
/*                                                                           */
/* "<!ELEMENT Service ( Bandwidth? )>"                                       */
/* "<!ATTLIST Service critical (true | false) \"true\">"                     */
/* "<!ELEMENT Resources ( DataRate?, AlmostOutOfResources? ) >"              */
/* "<!ATTLIST Resources critical ( true | false ) #FIXED \"false\" >"        */
/*                                                                           */
/*****************************************************************************/

#endif

