#ifndef XMLDEF_INCLUDED
#define XMLDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    xmldef.h                                                       */
/*                                                                           */
/* Purpose:   XML Layer macro definitions                                    */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:50   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Constants                                                                 */
/*****************************************************************************/

/*****************************************************************************/
/* Space reserved at the front of the send buffer for the start of the XML   */
/* message wrapper.                                                          */
/*****************************************************************************/
#define XML_WRAPPER_START_LEN           128

/*****************************************************************************/
/* The standard XML processing instruction that begins an XML document.      */
/*****************************************************************************/
#define XML_PI                          "<?xml version=\"1.0\"?>"

/*****************************************************************************/
/* Prepended XML that we use to treat all OSP transaction XML documents as   */
/* subelements of a top-level "<Wrap>" element; this trick allows us to      */
/* reuse XML_Parser objects, which turns out to be very good for             */
/* performance.                                                              */
/*****************************************************************************/
#define XML_WRAP_ELEMENT                XML_PI "<Wrap>"
#define XML_WRAP_ELEMENT_LEN            27

/*****************************************************************************/
/* Per-message XML wrapper that we use to detect missing or incomplete end   */
/* elements (without this, we won't pick them up till we start processing    */
/* the next message)                                                         */
/*****************************************************************************/
#define XML_MESSAGE_WRAP_STAG           "<MessageWrap>"
#define XML_MESSAGE_WRAP_STAG_LEN       13
#define XML_MESSAGE_WRAP_ETAG           "</MessageWrap>"
#define XML_MESSAGE_WRAP_ETAG_LEN       14

#endif

