#ifndef XMLFUNC_INCLUDED
#define XMLFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    xmlfunc.h                                                      */
/*                                                                           */
/* Purpose:   XML Layer internal function prototypes                         */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:50   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* xmlctrl.c                                                                 */
/*****************************************************************************/
OSP_RC xml_add_message_wrapper(TRANS_INFO *);

/*****************************************************************************/
/* xmlhdlrs.c                                                                */
/*****************************************************************************/
void xml_start_elem_handler(void *, const char *, const char **);

void xml_end_elem_handler(void *, const char *);

void xml_character_data_handler(void *, const char *, int);

void xml_set_null_handlers(XML_Parser);

/*****************************************************************************/
/* xmlcanon.c                                                                */
/*****************************************************************************/
static void xml_canon_start_elem_handler(void *,
                                         const XML_Char *,
                                         const XML_Char **);

static void xml_canon_end_elem_handler(void *, const XML_Char *);

static void xml_canon_pi_handler(void *, const XML_Char *, const XML_Char *);

static void xml_canon_char_data_handler(void *, const XML_Char *, int);

static int xml_canon_compare_attrs(const void *, const void *);

void xml_maybe_add_to_outbuf(XML_CANON_INFO *, char *, ...);

#endif
