#ifndef XMLSTRC_INCLUDED
#define XMLSTRC_INCLUDED

/**INC+***********************************************************************/
/* Header:    xmlstrc.h                                                      */
/*                                                                           */
/* Purpose:   XML Internal data structures                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:50   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Type for cancel processing functions                                      */
/*****************************************************************************/
typedef OSP_RC (* XML_CANCEL_PROCESSING_FN)(TRANS_INFO *);

/**STRUCT+********************************************************************/
/* Structure: XML_STATE                                                      */
/*                                                                           */
/* Description: Parsing state information; stored in trans->xml_state        */
/*                                                                           */
/*****************************************************************************/

typedef struct xml_state
{
  /***************************************************************************/
  /* Parser instance                                                         */
  /***************************************************************************/
  XML_Parser *parser;

  /***************************************************************************/
  /* Current cancel processing function                                      */
  /***************************************************************************/
  XML_CANCEL_PROCESSING_FN cancel_fn;

} XML_STATE;

/**STRUCT-********************************************************************/

/**STRUCT+********************************************************************/
/* Structure: XML_CANON_INFO                                                 */
/*                                                                           */
/* Description: Structure used to manage the outbuf during canonicalization  */
/*                                                                           */
/*****************************************************************************/

typedef struct xml_canon_info
{
  /***************************************************************************/
  /* Pointer to the destination buffer                                       */
  /***************************************************************************/
  char *outbuf;

  /***************************************************************************/
  /* Total length of outbuf                                                  */
  /***************************************************************************/
  unsigned int outbuf_len;

  /***************************************************************************/
  /* Current pointer into outbuf                                             */
  /***************************************************************************/
  char *current_pos;

  /***************************************************************************/
  /* Current length of outbuf                                                */
  /***************************************************************************/
  unsigned int current_len;

  /***************************************************************************/
  /* Flag set if canonicalized data would overflow outbuf                    */
  /***************************************************************************/
  int overflowed;

} XML_CANON_INFO;

/**STRUCT-********************************************************************/

#endif
