#ifndef TRCDEF_INCLUDED
#define TRCDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    trcdef.h                                                       */
/*                                                                           */
/* Purpose:   OSP Tracing - internal definitions                             */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:14   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Macros used for trace formatting                                          */
/*****************************************************************************/
#define TRC_FORMAT(x)        "%-"#x"."#x

#define TRC_TIMESTAMP_FMT    TRC_FORMAT(12) "s"
#define TRC_THREAD_ID_FMT    TRC_FORMAT(2)  "x"
#define TRC_FILE_NAME_FMT    TRC_FORMAT(10) "s"
#define TRC_FUNC_NAME_FMT    TRC_FORMAT(24) "s"
#define TRC_LINE_NUMB_FMT    TRC_FORMAT(4)  "d"

/*****************************************************************************/
/* Other trace constants                                                     */
/*****************************************************************************/
#define TRC_BUFFER_LEN       1024
#define TRC_FULL_TIME_LEN      13
#define TRC_DATA_LIMIT       1024

#endif
