#ifndef TRCGLBL_INCLUDED
#define TRCGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    trcglbl.h                                                      */
/*                                                                           */
/* Purpose:   OSP Tracing - declare global variables                         */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:14   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Initialized flag                                                          */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
int trc_initialized = FALSE;
#else
extern int trc_initialized;
#endif

/*****************************************************************************/
/* Mutex used to protect access to the trace buffer                          */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
pthread_mutex_t trc_buffer_mutex;
#else
extern pthread_mutex_t trc_buffer_mutex;
#endif

/*****************************************************************************/
/* The trace buffer                                                          */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
char trace_buffer[TRC_BUFFER_LEN];
#else
extern char trace_buffer[TRC_BUFFER_LEN];
#endif

/*****************************************************************************/
/* Trace type flags                                                          */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
int trc_trace_types;
#else
extern int trc_trace_types;
#endif

/*****************************************************************************/
/* trace file handle                                                         */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
FILE *tfp = NULL;
#else
extern FILE *tfp;
#endif

/*****************************************************************************/
/* Lookup table used to print hex                                            */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
const char hex_lookup[16] = "0123456789ABCDEF";
#else
extern const char hex_lookup[16];
#endif

/*****************************************************************************/
/* String used to hold the timestamp                                         */
/*****************************************************************************/
#ifdef TRC_DEFINE_VARS
char time_string[TRC_FULL_TIME_LEN];
#else
extern char time_string[TRC_FULL_TIME_LEN];
#endif

#endif
